Appearance
Create Object Schema
Create a new object (form/task/equipment) schema configuration. Requires ADMIN, MANAGE_OBJECTS, or MANAGE_FORM permissions.
Parameters
| name * are required parameters | data type | description |
|---|---|---|
body.name* | string | The display name of the object schema |
body.type* | string | The object type: form, corrective-action, or asset |
body.description | string | A description of the schema |
body.fieldGroups | string[] | IDs of field groups to include |
body.workflow | object | Workflow state configuration |
Return Value
The created object schema.
Examples
bash
curl -X POST "https://app.wombat.software/api/{targetPath}/object" \
-H "Content-Type: application/json" \
-H "Authentication: Bearer ..." \
-d '{"name": "Incident Report", "type": "form"}'ENDPOINTS
post
/api/{targetPath}/object